Quiz_questions
A: Create question
AuthorizationBearer <token>
In: header
Path Parameters
quiz_idstring
The quiz id identifier
Format
uuidattachment_urlsarray<object>
audio_urlstring
Default
""auto_gradableboolean
Default
truedataobject
image_urlstring
Default
"https://example.com/ml-diagram.jpg"Format
urinegative_scorenumber
Default
0.5optionsarray<object>
order_indexinteger
Default
1requiredboolean
Default
truescoreinteger
Default
2shuffle_optionsboolean
Default
truetime_limitinteger
Default
120titlestring
Default
"What is the primary goal of machine learning?"typestring
Default
"multiple_choice_single"video_urlstring
Default
""Response Body
curl -X POST "https://edushade.com/api/v1/admin/quizzes/497f6eca-6276-4993-bfeb-53cbbbba6f08/questions" \
-H "Content-Type: application/json" \
-d '{
"attachment_urls": [
{}
],
"audio_url": "",
"auto_gradable": true,
"data": {
"difficulty": "easy",
"explanation": "Machine learning aims to enable computers to learn and make decisions from data without being explicitly programmed for every task.",
"tags": [
"string"
]
},
"image_url": "https://example.com/ml-diagram.jpg",
"negative_score": 0.5,
"options": [
{
"group_name": "",
"image_url": "",
"is_correct": false,
"option_data": {},
"option_text": "To program computers with explicit instructions",
"option_type": "choice",
"option_value": "A",
"order_index": 1
}
],
"order_index": 1,
"required": true,
"score": 2,
"shuffle_options": true,
"time_limit": 120,
"title": "What is the primary goal of machine learning?",
"type": "multiple_choice_single",
"video_url": ""
}'{}Empty
Empty
Empty